<?php

namespace App\Http\Controllers;

use App\Condicion;
use App\Marca;
use App\Material;
use App\Tipo;
use App\TipoMedida;
use App\Ubicacion;
use Illuminate\Http\Request;

class MaterialController extends Controller
{
    public function otros(){
        $tipo = Tipo::all();
        $marca = Marca::all();
        $ubicacion = Ubicacion::all();
        $tipo_medida = TipoMedida::all();
        $condicion = Condicion::all();
        return view('admin.materiales.otros')
            ->with('tipo',$tipo)
            ->with('marca',$marca)
            ->with('ubicacion',$ubicacion)
            ->with('tipo_medida',$tipo_medida)
            ->with('condicion',$condicion);
    }
    public function buscar(Request $request){
        $materiales = Material::buscar($request->_consulta)
            ->with('tipo')
            ->with('marca')
            ->with('ubicacion')
            ->with('tipoMedida')
            ->with('condicion')
            ->orderBy('id','asc')
            ->paginate(10);
        return view('admin.materiales.index')->with('materiales',$materiales);
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $materiales = Material::orderBy('id','asc')->paginate(10);
        return view('admin.materiales.index')
            ->with('materiales',$materiales);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $tipo = Tipo::all();
        $marca = Marca::all();
        $ubicacion = Ubicacion::all();
        $tipo_medida = TipoMedida::all();
        $condicion = Condicion::all();
        return view('admin.materiales.create')
            ->with('tipo',$tipo)
            ->with('marca',$marca)
            ->with('ubicacion',$ubicacion)
            ->with('tipo_medida',$tipo_medida)
            ->with('condicion',$condicion);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $material = new Material();
        $material->codigo = $request->_codigo;
        $material->tipo_id = $request->_tipo;
        $material->nombre = $request->_nombre;
        $material->marca_id = $request->_marca;
        $material->modelo = $request->_modelo;
        $material->descripcion = $request->_descripcion;
        $material->ubicacion_id = $request->_ubicacion;
        $material->tipo_medidas_id = $request->_tipo_medida;
        $material->cantidad = $request->_cantidad;
        $material->stock = $request->_cantidad;
        $material->condicion_id = $request->_condicion;
        $material->observaciones = $request->_observaciones;
        $material->save();
        return redirect(route('materiales_index'));
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Material  $material
     * @return \Illuminate\Http\Response
     */
    public function show(Material $material)
    {
        $material->tipo;
        $material->marca;
        $material->ubicacion;
        $material->tipoMedida;
        $material->condicion;
        return view('admin.materiales.show')->with('material', $material);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Material  $material
     * @return \Illuminate\Http\Response
     */
    public function edit(Material $material)
    {
        $tipo = Tipo::all();
        $marca = Marca::all();
        $ubicacion = Ubicacion::all();
        $tipo_medida = TipoMedida::all();
        $condicion = Condicion::all();
        return view('admin.materiales.edit')
            ->with('material',$material)
            ->with('tipo',$tipo)
            ->with('marca',$marca)
            ->with('ubicacion',$ubicacion)
            ->with('tipo_medida',$tipo_medida)
            ->with('condicion',$condicion);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Material  $material
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Material $material)
    {
        $material->codigo = $request->_codigo;
        $material->tipo_id = $request->_tipo;
        $material->nombre = $request->_nombre;
        $material->marca_id = $request->_marca;
        $material->modelo = $request->_modelo;
        $material->descripcion = $request->_descripcion;
        $material->ubicacion_id = $request->_ubicacion;
        $material->tipo_medidas_id = $request->_tipo_medida;
        $material->cantidad = $request->_cantidad;
        //verificar materiales pendientes antes de actualizar la cantidad
        //$material->stock = $request->_cantidad;
        $material->condicion_id = $request->_condicion;
        $material->observaciones = $request->_observaciones;
        $material->save();
        return redirect(route('materiales_show',$material->id));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Material  $material
     * @return \Illuminate\Http\Response
     */
    public function destroy(Material $material)
    {
        //
    }
}
