<?php

namespace App\Http\Controllers;

use App\Curso;
use App\Pedido;
use App\Persona;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;

class PedidoController extends Controller
{
    public function buscarPersona(Request $request){
        $persona = Persona::where('dni',$request->dni)->get();
        //dd(count($persona));
        if(count($persona)==0){
            $data = "No se encuentra registrado en la nómina";
        }else{
            $data = $persona;
        }
        return $data;
    }
    public function validar(Request $request){
        $reglas = [
            'dni' => 'required|numeric|digits:8|exists:App\Persona,dni',
        ];
        $custom_msg = [
            'dni.digits' => 'Verifique que sean 8 dígitos',
            'numeric' => 'Solo se admiten números',
            'required' => 'Este campo es obligatorio',
            'dni.exists' => 'El DNI no se encuentra registrado en la nómina oficial'
        ];
        $request->validate($reglas,$custom_msg);
        $encargado = Persona::where('dni',$request->dni)->get();
        $curso = Curso::all();
        $docente = Persona::where('cargo_id',2)->get();
        return view('usuarios.datos')
            ->with('integrantes',$request->integrantes)
            ->with('encargado',$encargado)
            ->with('curso',$curso)
            ->with('docente',$docente);
    }

    public function datos(Request $request)
    {
        $reglas = [
            'dni' => 'required|numeric|digits:8|exists:App\Persona,dni',
        ];
        $custom_msg = [
            'dni.digits' => 'Verifique que sean 8 dígitos',
            'numeric' => 'Solo se admiten números',
            'required' => 'Este campo es obligatorio',
            'dni.exists' => 'El DNI no se encuentra registrado en la nómina oficial'
        ];
        $request->validate($reglas,$custom_msg);
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Pedido  $pedido
     * @return \Illuminate\Http\Response
     */
    public function show(Pedido $pedido)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Pedido  $pedido
     * @return \Illuminate\Http\Response
     */
    public function edit(Pedido $pedido)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Pedido  $pedido
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Pedido $pedido)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Pedido  $pedido
     * @return \Illuminate\Http\Response
     */
    public function destroy(Pedido $pedido)
    {
        //
    }
}
