<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMaterialsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('materials', function (Blueprint $table) {
            $table->id();
            $table->string('codigo')->unique();
            $table->foreignId('tipo_id')->references('id')->on('tipos');
            $table->string('nombre');
            $table->foreignId('marca_id')->references('id')->on('marcas');
            $table->string('modelo')->nullable();
            $table->string('descripcion')->nullable();
            $table->foreignId('ubicacion_id')->references('id')->on('ubicacions');
            $table->foreignId('tipo_medidas_id')->references('id')->on('tipo_medidas');
            $table->smallInteger('cantidad')->unsigned();
            $table->smallInteger('stock')->unsigned();
            $table->foreignId('condicion_id')->references('id')->on('condicions');
            $table->string('observaciones')->nullable();
            $table->enum('active',[1,0])->default(1);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('materials');
    }
}
