<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePedidosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('pedidos', function (Blueprint $table) {
            $table->id();
            $table->string('codigo')->unique();
            $table->date('fecha_salida');
            $table->date('fecha_devolución');
            $table->foreignId('encargado')->references('id')->on('personas');
            $table->string('semestre');
            $table->enum('turno',['Dia','Noche']);
            $table->foreignId('curso_id')->references('id')->on('cursos');
            $table->foreignId('docente')->references('id')->on('personas');
            $table->string('observaciones');
            $table->enum('active',[1,0])->default(1);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('pedidos');
    }
}
