@extends('layouts.admin')
@section('contenido_admin')
    <h3 class="text-center my-3">Agregar Material</h3>
    <div class="row justify-content-center">
        <div class="col-md-10">
            <form action="{{ route('materiales_store') }}" class="was-validated" method="POST">
                @csrf
                <div class="row p-2 bg-light border border-dark rounded-3 justify-content-center">
                    <div class="col-7 p-2">
                        <div class="input-group mb-3">
                            <span class="input-group-text col-4 fw-bold">Código:</span>
                            <input name="_codigo" type="text" class="form-control fw-bold" minlength="4" maxlength="50" required>
                            <div class="valid-feedback text-end">Ok</div>
                        </div>
                        <div class="input-group mb-3">
                            <span class="input-group-text col-4 fw-bold">Tipo:</span>
                            <select name="_tipo" type="text" class="form-control" required>
                                <option selected disabled value="">Seleccionar...</option>
                                @forelse ($tipo as $item)
                                    <option value="{{ $item->id }}">{{ ucfirst($item->nombre) }}</option>
                                @empty
                                    <option disabled>No hay "Tipos" registrados</option>
                                @endforelse
                            </select>
                            <div class="valid-feedback text-end">Ok</div>
                        </div>
                        <div class="input-group mb-3">
                            <span class="input-group-text col-4 fw-bold">Nombre:</span>
                            <input name="_nombre" type="text" class="form-control" minlength="5" maxlength="50" required>
                            <div class="valid-feedback text-end">Ok</div>
                        </div>
                        <div class="input-group mb-3">
                            <span class="input-group-text col-4 fw-bold">Marca:</span>
                            <select name="_marca" type="text" class="form-control" required>
                                <option selected disabled value="">Seleccionar...</option>
                                @forelse ($marca as $item)
                                <option value="{{ $item->id }}">{{ ucfirst($item->nombre) }}</option>
                                @empty
                                <option disabled>No hay "Marcas" registradas</option>
                                @endforelse
                            </select>
                            <div class="valid-feedback text-end">Ok</div>
                        </div>
                        <div class="input-group mb-3">
                            <span class="input-group-text col-4 fw-bold">Modelo:</span>
                            <input name="_modelo" type="text" class="form-control" minlength="4" maxlength="50">
                        </div>
                        <div class="input-group mb-3">
                            <span class="input-group-text col-4 fw-bold">Descripción:</span>
                            <textarea name="_descripcion" class="form-control" aria-label="With textarea" rows="4" placeholder="Ejm. Medidas (alto, ancho, profundidad), Accesorios o piezas adicionales, Características especiales, etc. (Opcional)"></textarea>
                        </div>
                        <div class="input-group mb-3">
                            <span class="input-group-text col-4 fw-bold">Ubicación</span>
                            <select name="_ubicacion" type="text" class="form-control" required>
                                <option selected disabled value="">Seleccionar...</option>
                                @forelse ($ubicacion as $item)
                                <option value="{{ $item->id }}">{{ ucfirst($item->nombre) }}</option>
                                @empty
                                <option disabled>No hay "Ambientes" registrados</option>
                                @endforelse
                            </select>
                            <div class="valid-feedback text-end">Ok</div>
                        </div>
                        <div class="input-group mb-3">
                            <span class="input-group-text col-4 fw-bold text-wrap">Unidad de medida:</span>
                            <select name="_tipo_medida" type="text" class="form-control" required>
                                <option selected disabled value="">Seleccionar...</option>
                                @forelse ($tipo_medida as $item)
                                <option value="{{ $item->id }}">{{ ucfirst($item->nombre) }}</option>
                                @empty
                                <option disabled>No hay "Unidades de medida" registradas</option>
                                @endforelse
                            </select>
                            <div class="valid-feedback text-end">Ok</div>
                        </div>
                        <div class="input-group mb-3">
                            <span class="input-group-text col-4 fw-bold">Cantidad:</span>
                            <input name="_cantidad" type="number" class="form-control" required>
                            <div class="valid-feedback text-end">Ok</div>
                        </div>
                        <div class="input-group mb-3">
                            <span class="input-group-text col-4 fw-bold text-wrap">Condición:</span>
                            <select name="_condicion" type="text" class="form-control" required>
                                <option selected disabled value="">Seleccionar...</option>
                                @forelse ($condicion as $item)
                                <option value="{{ $item->id }}">{{ ucfirst($item->nombre) }}</option>
                                @empty
                                <option disabled>No hay "Condiciones" registradas</option>
                                @endforelse
                            </select>
                            <div class="valid-feedback text-end">Ok</div>
                        </div>
                        <div class="input-group mb-3">
                            <span class="input-group-text col-4 fw-bold">Observaciones:</span>
                            <textarea name="_observaciones" class="form-control" aria-label="With textarea" rows="4" placeholder="Ejm. Alguna condicion de funcionamiento especial, señales de deterioro, etc. (Opcional)"></textarea>
                        </div>
                    </div>
                    <div class="row justify-content-center my-2">
                        <button class="btn btn-primary col-md-2 justify-content-center" type="submit">Guardar</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
    @endsection
