@extends('layouts.admin')
@section('contenido_admin')
    <h3 class="text-center my-3">Editar Material</h3>
    <div class="row justify-content-center mb-3">
        <div class="col-md-10">
            <form action="{{ route('materiales_update',$material->id) }}" class="was-validated" method="POST">
                @csrf
                <div class="row p-2 bg-light border border-dark rounded-3 justify-content-center">
                    <div class="col-7 p-2">
                        <div class="input-group mb-3">
                            <span class="input-group-text col-4 fw-bold">Código:</span>
                            <input name="_codigo" type="text" class="form-control fw-bold" minlength="4" maxlength="50" value="{{ $material->codigo }}" required>
                            <div class="valid-feedback text-end">Ok</div>
                        </div>
                        <div class="input-group mb-3">
                            <span class="input-group-text col-4 fw-bold">Tipo:</span>
                            <select name="_tipo" type="text" class="form-control" required>
                                <option disabled value="">Seleccionar...</option>
                                @forelse ($tipo as $item)
                                    <option {{ $material->tipo_id == $item->id ? 'selected' : '' }} value="{{ $item->id }}">{{ ucfirst($item->nombre) }}</option>
                                @empty
                                    <option disabled>No hay "Tipos" registrados</option>
                                @endforelse
                            </select>
                            <div class="valid-feedback text-end">Ok</div>
                        </div>
                        <div class="input-group mb-3">
                            <span class="input-group-text col-4 fw-bold">Nombre:</span>
                            <input name="_nombre" type="text" class="form-control" minlength="5" maxlength="50" value="{{ $material->nombre }}" required>
                            <div class="valid-feedback text-end">Ok</div>
                        </div>
                        <div class="input-group mb-3">
                            <span class="input-group-text col-4 fw-bold">Marca:</span>
                            <select name="_marca" type="text" class="form-control" required>
                                <option selected disabled value="">Seleccionar...</option>
                                @forelse ($marca as $item)
                                <option {{ $material->marca_id == $item->id ? 'selected' : '' }} value="{{ $item->id }}">{{ ucfirst($item->nombre) }}</option>
                                @empty
                                <option disabled>No hay "Marcas" registradas</option>
                                @endforelse
                            </select>
                            <div class="valid-feedback text-end">Ok</div>
                        </div>
                        <div class="input-group mb-3">
                            <span class="input-group-text col-4 fw-bold">Modelo:</span>
                            <input name="_modelo" type="text" class="form-control" minlength="4" maxlength="50" value="{{ $material->modelo }}">
                        </div>
                        <div class="input-group mb-3">
                            <span class="input-group-text col-4 fw-bold">Descripción:</span>
                            <textarea name="_descripcion" class="form-control" aria-label="With textarea" rows="4" placeholder="Ejm. Medidas (alto, ancho, profundidad), Accesorios o piezas adicionales, Características especiales, etc. (Opcional)">{{ $material->descripcion }}</textarea>
                        </div>
                        <div class="input-group mb-3">
                            <span class="input-group-text col-4 fw-bold">Ubicación</span>
                            <select name="_ubicacion" type="text" class="form-control" required>
                                <option disabled value="">Seleccionar...</option>
                                @forelse ($ubicacion as $item)
                                <option {{ $material->ubicacion_id == $item->id ? 'selected' : '' }} value="{{ $item->id }}">{{ ucfirst($item->nombre) }}</option>
                                @empty
                                <option disabled>No hay "Ambientes" registrados</option>
                                @endforelse
                            </select>
                            <div class="valid-feedback text-end">Ok</div>
                        </div>
                        <div class="input-group mb-3">
                            <span class="input-group-text col-4 fw-bold text-wrap">Unidad de medida:</span>
                            <select name="_tipo_medida" type="text" class="form-control" required>
                                <option selected disabled value="">Seleccionar...</option>
                                @forelse ($tipo_medida as $item)
                                <option {{ $material->tipo_medidas_id == $item->id ? 'selected' : '' }} value="{{ $item->id }}">{{ ucfirst($item->nombre) }}</option>
                                @empty
                                <option disabled>No hay "Unidades de medida" registradas</option>
                                @endforelse
                            </select>
                            <div class="valid-feedback text-end">Ok</div>
                        </div>
                        <div class="input-group mb-3">
                            <span class="input-group-text col-4 fw-bold">Cantidad:</span>
                            <input name="_cantidad" type="number" class="form-control" value="{{ $material->cantidad }}" required>
                            <div class="valid-feedback text-end">Ok</div>
                        </div>
                        <div class="input-group mb-3">
                            <span class="input-group-text col-4 fw-bold text-wrap">Condición:</span>
                            <select name="_condicion" type="text" class="form-control" required>
                                <option selected disabled value="">Seleccionar...</option>
                                @forelse ($condicion as $item)
                                <option {{ $material->condicion_id == $item->id ? 'selected' : '' }} value="{{ $item->id }}">{{ ucfirst($item->nombre) }}</option>
                                @empty
                                <option disabled>No hay "Condiciones" registradas</option>
                                @endforelse
                            </select>
                            <div class="valid-feedback text-end">Ok</div>
                        </div>
                        <div class="input-group mb-3">
                            <span class="input-group-text col-4 fw-bold">Observaciones:</span>
                            <textarea name="_observaciones" class="form-control" aria-label="With textarea" rows="4" placeholder="Ejm. Alguna condicion de funcionamiento especial, señales de deterioro, etc. (Opcional)">{{ $material->observaciones }}</textarea>
                        </div>
                    </div>
                    <div class="row justify-content-center">
                        <div class="col-md-3 d-grid">
                            <button class="btn btn-primary" type="submit"><img src="{{ asset('icon/arrow-repeat.svg') }}" height="24" width="24" class="me-2">Actualizar</button>
                        </div>
                        <div class="col-md-3 d-grid">
                            <a class="btn btn-secondary" href="{{ route('materiales_show',$material->id) }}">Cancelar</a>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
@endsection
