@extends('layouts.admin')
@section('contenido_admin')
    <h3 class="text-center my-3">Lista de Materiales</h3>
    <form action="{{ route('materiales_buscar') }}" method="get">
        <div class="row justify-content-center">
            <div class="col-md-6">
                <div class="input-group mb-3">
                    <input id="_consulta" name="_consulta" type="text" class="form-control text-center" placeholder="Ingrese el nombre o código del material">
                    <button class="btn btn-primary col-3" type="submit">Buscar</button>
                </div>
            </div>
        </div>
    </form>
    <table class="table table-hover table-striped table-sm">
        <thead class="table-success">
            <tr>
                <th>
                    <div class="row">
                        <div class="row col-md-6">
                            <div class="col-sm-1">#</div>
                            <div class="col-sm-3">Código</div>
                            <div class="col-sm-4">Material</div>
                            <div class="col-sm-4">Ubicación</div>
                        </div>
                        <div class="row col-md-6">
                            <div class="col-sm-3">Marca</div>
                            <div class="col-sm-5 text-center">Cantidades</div>
                            <div class="col-sm-4">Acción</div>
                        </div>
                    </div>
                </th>
            </tr>
        </thead>
        <tbody>
            @forelse ($materiales as $item)
            <tr>
                <td>
                    <div class="row">
                        <div class="row col-md-6">
                            <div class="col-sm-1 fw-bold">{{ $item->id }}</div>
                            <div class="col-sm-3 text-truncate">{{ strtoupper($item->codigo) }}</div>
                            <div class="col-sm-4 text-truncate">{{ ucfirst($item->nombre) }}</div>
                            <div class="col-sm-4">{{ ucfirst($item->ubicacion->nombre) }}</div>
                        </div>
                        <div class="row col-md-6">
                            <div class="col-sm-3 text-truncate">{{ ucfirst($item->marca->nombre) }}</div>
                            <div class="col-sm-5">
                                <div class="input-group input-group-sm">
                                    <span class="input-group-text">{{ ucfirst($item->tipoMedida->nombre).':' }}</span>
                                    <input class="form-control text-center fw-bold" type="text" value="{{ $item->cantidad }}" readonly>
                                    <span class="input-group-text">Stock:</span>
                                    <input class="form-control text-center fw-bold" type="text" value="{{ $item->stock }}" readonly>
                                </div>
                            </div>
                            <div class="col-sm-4">
                                <a class="btn btn-outline-info btn-sm" href="{{ route('materiales_show',$item->id) }}">Ver</a>
                                <a class="btn btn-outline-success btn-sm" href="{{ route('materiales_edit',$item->id) }}">Editar</a>
                                <b>{{ $item->active == 1 ? '[Activo]':'[Inactivo]' }}</b>
                            </div>
                        </div>
                    </div>
                </td>
            </tr>
            @empty
            <tr>
                <td colspan="2">
                    No hay Materiales registrados
                </td>
            </tr>
            @endforelse
        </tbody>
        <tfoot>
            <tr>
                <td>
                    <div class="row justify-content-center">
                        <div class="col">{{ $materiales->withQueryString()->links() }}</div>
                    </div>
                </td>
            </tr>
        </tfoot>
    </table>
@endsection
