@extends('layouts.admin')
@section('contenido_admin')
    <h3 class="text-center my-3">Características adicionales</h3>
    <div class="row justify-content-center">
        <div class="col-md-4">
            <table class="table table-hover table-striped table-sm">
                <thead class="table-success text-center">
                    <tr>
                        <th colspan="2">Tipo de Materiales</th>
                    </tr>
                </thead>
                <tbody>
                    @forelse ($tipo as $item)
                        <tr>
                            <td class="text-center">{{ $item->nombre }}</td>
                            <td class="text-center">
                                <div class="btn-group btn-group-sm" role="group">
                                    <button type="button" class="btn btn-outline-secondary">Editar</button>
                                    <button type="button" class="btn btn-outline-secondary">Borrar</button>
                                </div>
                            </td>
                        </tr>
                    @empty
                        <tr>
                            <td colspan="2">No hay registros</td>
                        </tr>
                    @endforelse
                </tbody>
                <tfoot class="table-secondary">
                    <tr>
                        <td colspan="2" class="text-center">
                            <button class="btn btn-success btn-sm col-2">Agregar</button>
                        </td>
                    </tr>
                </tfoot>
            </table>
        </div>
        <div class="col-md-4">
            <table class="table table-hover table-striped table-sm">
                <thead class="table-success text-center">
                    <tr>
                        <th colspan="2">Marca de Materiales</th>
                    </tr>
                </thead>
                <tbody>
                    @forelse ($marca as $item)
                        <tr>
                            <td class="text-center">{{ $item->nombre }}</td>
                            <td class="text-center">
                                <div class="btn-group btn-group-sm" role="group">
                                    <button type="button" class="btn btn-outline-secondary">Editar</button>
                                    <button type="button" class="btn btn-outline-secondary">Borrar</button>
                                </div>
                            </td>
                        </tr>
                    @empty
                        <tr>
                            <td colspan="2">No hay registros</td>
                        </tr>
                    @endforelse
                </tbody>
                <tfoot class="table-secondary">
                    <tr>
                        <td colspan="2" class="text-center">
                            <button class="btn btn-success btn-sm col-2">Agregar</button>
                        </td>
                    </tr>
                </tfoot>
            </table>
        </div>
    </div>
    <div class="row justify-content-center">
        <div class="col-md-4">
            <table class="table table-hover table-striped table-sm">
                <thead class="table-success text-center">
                    <tr>
                        <th colspan="2">Ubicación de los Materiales</th>
                    </tr>
                </thead>
                <tbody>
                    @forelse ($ubicacion as $item)
                        <tr>
                            <td class="text-center">{{ $item->nombre }}</td>
                            <td class="text-center">
                                <div class="btn-group btn-group-sm" role="group">
                                    <button type="button" class="btn btn-outline-secondary">Editar</button>
                                    <button type="button" class="btn btn-outline-secondary">Borrar</button>
                                </div>
                            </td>
                        </tr>
                    @empty
                        <tr>
                            <td colspan="2">No hay registros</td>
                        </tr>
                    @endforelse
                </tbody>
                <tfoot class="table-secondary">
                    <tr>
                        <td colspan="2" class="text-center">
                            <button class="btn btn-success btn-sm col-2">Agregar</button>
                        </td>
                    </tr>
                </tfoot>
            </table>
        </div>
        <div class="col-md-4">
            <table class="table table-hover table-striped table-sm">
                <thead class="table-success text-center">
                    <tr>
                        <th colspan="2">Unidades de Medida</th>
                    </tr>
                </thead>
                <tbody>
                    @forelse ($tipo_medida as $item)
                        <tr>
                            <td class="text-center">{{ $item->nombre }}</td>
                            <td class="text-center">
                                <div class="btn-group btn-group-sm" role="group">
                                    <button type="button" class="btn btn-outline-secondary">Editar</button>
                                    <button type="button" class="btn btn-outline-secondary">Borrar</button>
                                </div>
                            </td>
                        </tr>
                    @empty
                        <tr>
                            <td colspan="2">No hay registros</td>
                        </tr>
                    @endforelse
                </tbody>
                <tfoot class="table-secondary">
                    <tr>
                        <td colspan="2" class="text-center">
                            <button class="btn btn-success btn-sm col-2">Agregar</button>
                        </td>
                    </tr>
                </tfoot>
            </table>
        </div>
    </div>
    <div class="row justify-content-center">
        <div class="col-md-4">
            <table class="table table-hover table-striped table-sm">
                <thead class="table-success">
                    <tr>
                        <th colspan="2">Condición de los Materiales</th>
                    </tr>
                </thead>
                <tbody>
                    @forelse ($condicion as $item)
                        <tr>
                            <td class="text-center">{{ $item->nombre }}</td>
                            <td class="text-center">
                                <div class="btn-group btn-group-sm" role="group">
                                    <button type="button" class="btn btn-outline-secondary">Editar</button>
                                    <button type="button" class="btn btn-outline-secondary">Borrar</button>
                                </div>
                            </td>
                        </tr>
                    @empty
                        <tr>
                            <td colspan="2">No hay registros</td>
                        </tr>
                    @endforelse
                </tbody>
                <tfoot class="table-secondary">
                    <tr>
                        <td colspan="2" class="text-center">
                            <button class="btn btn-success btn-sm col-2">Agregar</button>
                        </td>
                    </tr>
                </tfoot>
            </table>
        </div>
    </div>
@endsection
