@extends('layouts.admin')
@section('contenido_admin')
    <h3 class="text-center my-3">Detalles del Material</h3>
    <div class="row justify-content-center">
        <div class="col-md-6">
            <table class="table table-hover table-sm">
                <thead class="table-success">
                    <tr>
                        <th>
                            <div class="row justify-content-center">
                                <div class="col-md-3 d-grid">
                                    <a class="btn btn-success btn-sm" href="{{ route('materiales_index') }}">Regresar a lista</a>
                                </div>
                                <div class="col-md-3 d-grid">
                                    <a class="btn btn-success btn-sm" href="{{ route('materiales_edit',$material->id) }}">Editar</a>
                                </div>
                                <div class="col-md-3 d-grid">
                                    <button class="btn btn-success btn-sm">Dar de baja</button>
                                </div>
                            </div>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>
                            <div class="row">
                                <div class="col-md-4 fw-bold text-end">Código:</div>
                                <div class="col">{{ strtoupper($material->codigo) }}</div>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div class="row">
                                <div class="col-md-4 fw-bold text-end">Nombre:</div>
                                <div class="col">{{ ucfirst($material->nombre) }}</div>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div class="row">
                                <div class="col-md-4 fw-bold text-end">Marca:</div>
                                <div class="col">{{ ucfirst($material->marca->nombre) }}</div>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div class="row">
                                <div class="col-md-4 fw-bold text-end">Modelo:</div>
                                <div class="col">{{ strtoupper($material->modelo) }}</div>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div class="row">
                                <div class="col-md-4 fw-bold text-end">Descripción:</div>
                                <div class="col">{{ ucfirst($material->descripcion) }}</div>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div class="row">
                                <div class="col-md-4 fw-bold text-end">Tipo:</div>
                                <div class="col">{{ ucfirst($material->tipo->nombre) }}</div>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div class="row">
                                <div class="col-md-4 fw-bold text-end">Cantidad / Stock:</div>
                                <div class="col">{{ $material->cantidad.' / '.$material->stock.' ['.ucfirst($material->tipoMedida->nombre).']' }}</div>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div class="row">
                                <div class="col-md-4 fw-bold text-end">Ubicación:</div>
                                <div class="col">{{ ucfirst($material->ubicacion->nombre) }}</div>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div class="row">
                                <div class="col-md-4 fw-bold text-end">Condición:</div>
                                <div class="col">{{ ucfirst($material->condicion->nombre) }}</div>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div class="row">
                                <div class="col-md-4 fw-bold text-end">Observaciones:</div>
                                <div class="col">{{ ucfirst($material->observaciones) }}</div>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div class="row">
                                <div class="col-md-4 fw-bold text-end">Activo:</div>
                                <div class="col">{{ $material->active == 1 ? 'Sí': 'No' }}</div>
                            </div>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
@endsection
