@extends('layouts.admin')
@section('contenido_admin')
    <h3 class="text-center my-3">Editar Persona</h3>
    <div class="row justify-content-center">
        <div class="col-md-6 border rounded-3 p-3 bg-light">
            <form action="{{ route('personas_update',$persona->id) }}" class="was-validated" method="POST">
                @csrf
                <div class="input-group mb-3">
                    <span class="input-group-text col-4 fw-bold">Función:</span>
                    <select name="_cargo" type="text" class="form-control" required>
                        <option selected disabled value="">Seleccionar...</option>
                        @forelse ($cargo as $item)
                            <option {{ $persona->cargo_id == $item->id ? 'selected' : '' }} value="{{ $item->id }}">{{ ucfirst($item->nombre) }}</option>
                        @empty
                            <option disabled>No hay "Funciones" registradas</option>
                        @endforelse
                    </select>
                    <div class="valid-feedback text-end">Ok</div>
                </div>
                <div class="input-group mb-3">
                    <span class="input-group-text col-4 fw-bold">Nombres:</span>
                    <input name="_nombres" type="text" class="form-control" minlength="3" maxlength="100" value="{{ $persona->nombres }}" required>
                    <div class="valid-feedback text-end">Ok</div>
                </div>
                <div class="input-group mb-3">
                    <span class="input-group-text col-4 fw-bold">Apellidos:</span>
                    <input name="_apellidos" type="text" class="form-control" minlength="3" maxlength="100" value="{{ $persona->apellidos }}" required>
                    <div class="valid-feedback text-end">Ok</div>
                </div>
                <div class="input-group mb-3">
                    <span class="input-group-text col-4 fw-bold">DNI:</span>
                    <input name="_dni" type="text" class="form-control" minlength="8" maxlength="8" value="{{ $persona->dni }}" required>
                    <div class="valid-feedback text-end">Ok</div>
                </div>
                <div class="input-group mb-3">
                    <span class="input-group-text col-4 fw-bold">E-mail:</span>
                    <input name="_mail" type="email" class="form-control" minlength="4" maxlength="100" placeholder="ejemplo@email.com (Opcional)" value="{{ $persona->email }}">
                </div>
                <div class="input-group mb-3">
                    <span class="input-group-text col-4 fw-bold">Celular:</span>
                    <input name="_celular" type="text" class="form-control" minlength="9" maxlength="9" value="{{ $persona->celular }}">
                </div>
                <div class="row justify-content-center">
                    <div class="col-md-4 d-grid">
                        <button class="btn btn-primary" type="submit">Actualizar</button>
                    </div>
                    <div class="col-md-4 d-grid">
                        <a class="btn btn-secondary" href="{{ route('personas_show',$persona->id) }}">Cancelar</a>
                    </div>
                </div>
            </form>
        </div>
    </div>
@endsection
