@extends('layouts.admin')
@section('contenido_admin')
    <h3 class="text-center my-3">Lista de Personas</h3>
    <form action="{{ route('personas_buscar') }}" method="get">
        <div class="row justify-content-center">
            <div class="col-md-9">
                <div class="input-group mb-3">
                    <div class="col-md-2">
                        <select name="_cargo" class="form-select btn-outline-secondary">
                            <option selected value="">Seleccionar rol...</option>
                            <option value="1">Alumnos</option>
                            <option value="2">Docentes</option>
                        </select>
                    </div>
                    <input name="_consulta" type="text" class="form-control text-center col-md-7" placeholder="Ingrese el nombre o dni de la persona">
                    <button class="btn btn-primary col-3" type="submit">Buscar</button>
                </div>
            </div>
        </div>
    </form>
    <table class="table table-hover table-striped table-sm">
        <thead class="table-success">
            <tr>
                <th>
                    <div class="row">
                        <div class="col-sm-1">#</div>
                        <div class="col">Nombres</div>
                        <div class="col">Apellidos</div>
                        <div class="col">DNI</div>
                        <div class="col">Función</div>
                        <div class="col">Acción</div>
                    </div>
                </th>
            </tr>
        </thead>
        <tbody>
            @forelse ($personas as $item)
            <tr>
                <td>
                    <div class="row">
                        <div class="col-md-1 fw-bold">{{ $item->id }}</div>
                        <div class="col">{{ ucfirst($item->nombres) }}</div>
                        <div class="col">{{ ucfirst($item->apellidos) }}</div>
                        <div class="col">{{ $item->dni }}</div>
                        <div class="col">{{ $item->cargo->nombre }}</div>
                        <div class="col">
                            <a class="btn btn-outline-info btn-sm" href="{{ route('personas_show',$item->id) }}">Ver</a>
                            <a class="btn btn-outline-success btn-sm" href="{{ route('personas_edit',$item->id) }}">Editar</a>
                            <b></b>
                        </div>
                    </div>
                </td>
            </tr>
            @empty
            <tr>
                <td>
                    No hay Personas registradas
                </td>
            </tr>
            @endforelse
        </tbody>
        <tfoot>
            <tr>
                <td>
                    <div class="row justify-content-center">
                        <div class="col">{{ $personas->withQueryString()->links() }}</div>
                    </div>
                </td>
            </tr>
        </tfoot>
    </table>
@endsection
