<?php

use App\Http\Controllers\MaterialController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/index', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');


//Pedidos
Route::get('/', function(){ return view('usuarios.index');})->name('pedidos');
Route::get('/ingresar',function(){ return view('usuarios.ingresar');})->name('pedidos_ingresar');
Route::get('/validar','PedidoController@validar')->name('pedidos_validar');
Route::get('/buscar_persona','PedidoController@buscarPersona')->name('pedidos_buscar_persona');

//Principal Admin
Route::get('/admin', function(){ return view('admin.index');})->name('admin');

// Materiales
Route::get('admin/materiales', 'MaterialController@index')->name('materiales_index');
Route::get('admin/materiales/buscar', 'MaterialController@buscar')->name('materiales_buscar');
Route::get('admin/materiales/create', 'MaterialController@create')->name('materiales_create');
Route::post('admin/materiales', 'MaterialController@store')->name('materiales_store');
Route::get('admin/materiales/{material}', 'MaterialController@show')->name('materiales_show');
Route::get('admin/materiales/{material}/edit', 'MaterialController@edit')->name('materiales_edit');
Route::post('admin/materiales/{material}/update', 'MaterialController@update')->name('materiales_update');
Route::get('admin/otros/tipo' , 'MaterialController@otros')->name('materiales_otros');


// Tipo de Material
// Marcas
// Ubicación
// Unidades de Medida
// Condiciones del Material

//Personas
Route::get('admin/personas','PersonaController@index')->name('personas_index');
Route::get('admin/personas/buscar','PersonaController@buscar')->name('personas_buscar');
Route::get('admin/personas/create','PersonaController@create')->name('personas_create');
Route::post('admin/personas','PersonaController@store')->name('personas_store');
Route::get('admin/personas/{persona}','PersonaController@show')->name('personas_show');
Route::get('admin/personas/{persona}/edit','PersonaController@edit')->name('personas_edit');
Route::post('admin/personas/{persona}/update','PersonaController@update')->name('personas_update');

//Unidades didácticas
Route::get('admin/cursos', 'CursoController@index')->name('cursos_index');
Route::post('admin/cursos/create/{curso?}', 'CursoController@guardar')->name('cursos_guardar');
Route::get('admin/cursos/{curso}/delete', 'CursoController@delete')->name('cursos_delete');
