<?php $__env->startSection('contenido_admin'); ?>
    <h3 class="text-center my-3">Lista de Materiales</h3>
    <form action="<?php echo e(route('materiales_buscar')); ?>" method="get">
        <div class="row justify-content-center">
            <div class="col-md-6">
                <div class="input-group mb-3">
                    <input id="_consulta" name="_consulta" type="text" class="form-control text-center" placeholder="Ingrese el nombre o código del material">
                    <button class="btn btn-primary col-3" type="submit">Buscar</button>
                </div>
            </div>
        </div>
    </form>
    <table class="table table-hover table-striped table-sm">
        <thead class="table-success">
            <tr>
                <th>
                    <div class="row">
                        <div class="row col-md-6">
                            <div class="col-sm-1">#</div>
                            <div class="col-sm-3">Código</div>
                            <div class="col-sm-4">Material</div>
                            <div class="col-sm-4">Ubicación</div>
                        </div>
                        <div class="row col-md-6">
                            <div class="col-sm-3">Marca</div>
                            <div class="col-sm-5 text-center">Cantidades</div>
                            <div class="col-sm-4">Acción</div>
                        </div>
                    </div>
                </th>
            </tr>
        </thead>
        <tbody>
            <?php $__empty_1 = true; $__currentLoopData = $materiales; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
            <tr>
                <td>
                    <div class="row">
                        <div class="row col-md-6">
                            <div class="col-sm-1 fw-bold"><?php echo e($item->id); ?></div>
                            <div class="col-sm-3 text-truncate"><?php echo e(strtoupper($item->codigo)); ?></div>
                            <div class="col-sm-4 text-truncate"><?php echo e(ucfirst($item->nombre)); ?></div>
                            <div class="col-sm-4"><?php echo e(ucfirst($item->ubicacion->nombre)); ?></div>
                        </div>
                        <div class="row col-md-6">
                            <div class="col-sm-3 text-truncate"><?php echo e(ucfirst($item->marca->nombre)); ?></div>
                            <div class="col-sm-5">
                                <div class="input-group input-group-sm">
                                    <span class="input-group-text"><?php echo e(ucfirst($item->tipoMedida->nombre).':'); ?></span>
                                    <input class="form-control text-center fw-bold" type="text" value="<?php echo e($item->cantidad); ?>" readonly>
                                    <span class="input-group-text">Stock:</span>
                                    <input class="form-control text-center fw-bold" type="text" value="<?php echo e($item->stock); ?>" readonly>
                                </div>
                            </div>
                            <div class="col-sm-4">
                                <a class="btn btn-outline-info btn-sm" href="<?php echo e(route('materiales_show',$item->id)); ?>">Ver</a>
                                <a class="btn btn-outline-success btn-sm" href="<?php echo e(route('materiales_edit',$item->id)); ?>">Editar</a>
                                <b><?php echo e($item->active == 1 ? '[Activo]':'[Inactivo]'); ?></b>
                            </div>
                        </div>
                    </div>
                </td>
            </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
            <tr>
                <td colspan="2">
                    No hay Materiales registrados
                </td>
            </tr>
            <?php endif; ?>
        </tbody>
        <tfoot>
            <tr>
                <td>
                    <div class="row justify-content-center">
                        <div class="col"><?php echo e($materiales->withQueryString()->links()); ?></div>
                    </div>
                </td>
            </tr>
        </tfoot>
    </table>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\Almacen\resources\views/admin/materiales/index.blade.php ENDPATH**/ ?>